Imports System.Collections.Specialized
Imports UJ.ExceptionManagement

#Region "CustomEventArgs class"
Public Class CustomEventArgs
  Inherits EventArgs
  Public StrField As String
  Private _intPropValue As Integer

  Public Property IntProp() As Integer
    Get
      IntProp = _intPropValue
    End Get
    Set(ByVal Value As Integer)
      _intPropValue = Value
    End Set
  End Property

  Sub New(ByVal pStr As String, ByVal pInt As Integer)
    StrField = pStr
    _intPropValue = pInt
  End Sub

End Class
#End Region

#Region "CustomNameObjectCollection class"
Public Class CustomNameObjectCollection
  Inherits NameObjectCollectionBase
  Public Sub New()

  End Sub

  Public Sub Add(ByVal name As String, ByVal value As Object)
    Me.BaseAdd(name, value)
  End Sub

  Public Property Item(ByVal name As String) As Object
    Get
      Item = Me.BaseGet(name)
    End Get
    Set(ByVal value As Object)
      Me.BaseSet(name, Value)
    End Set
  End Property

End Class
#End Region

#Region "Custom Structure"
Public Structure CustStructure
  Dim X As Integer, Y As Integer, S As String
End Structure
#End Region

#Region "CustomException class"
Public Class CustomException
  Inherits Exception
  Private _custProp As String

  Public Property CustProp() As String
    Get
      CustProp = _custProp
    End Get
    Set(ByVal Value As String)
      _custProp = Value
    End Set
  End Property

  Sub New(ByVal Msg As String, ByVal pCustProp As String)
    MyBase.New(Msg)
    _custProp = pCustProp
  End Sub

End Class
#End Region

#Region "CustomDisposableClass"
Public Class CustomDisposableClass
  Implements IDisposable
  Sub New()
  End Sub

  Public Sub Dispose() Implements System.IDisposable.Dispose
    MessageBox.Show("Inside CustomDisposableClass.Dispose: EMS is disposing object")
  End Sub
End Class
#End Region


#Region "CustomEnum"

Public Enum CustomEnum
  OptionOne
  OptionTwo
  OptionThree
End Enum

#End Region





